# [![quake-cli-tools](https://raw.githubusercontent.com/joshuaskelly/quake-cli-tools/master/.media/logo.svg?sanitize=true)](https://github.com/JoshuaSkelly/quake-cli-tools)

# quake-cli-tools

[![Python 3.7](https://img.shields.io/badge/python-3.7-blue.svg)]() [![PyPI version](https://badge.fury.io/py/quake-cli-tools.svg)](https://pypi.python.org/pypi/quake-cli-tools) [![Discord](https://img.shields.io/badge/discord-chat-7289DA.svg)](https://discord.gg/KvwmdXA)

quake-cli-tools is a set of command line tools for creating Quake content.

## Installation
```shell
$ pip install quake-cli-tools
```

## Tools
- _pak_: Add files to a PAK file.
- _unpak_: Extract files from a PAK file.
- _wad_: Add file to a WAD file.
- _unwad_: Extract files from a WAD file.
- _bsp2wad_: Create a WAD file from a BSP file.
- _qmount_: Mount a PAK file as a drive.
- _image2spr_: Create an SPR from image files.
- _spr2image_: Extract frames from an SPR.
- _bsp2svg_: Create an SVG file from a BSP file.

## Contributing
Have a bug fix or a new feature you'd like to see in quake-cli-tools? Send it our way! Please make sure you create an issue that addresses your fix/feature so we can discuss the contribution.

1. Fork this repo!
2. Create your feature branch: `git checkout -b features/add-cool-new-tool`
3. Commit your changes: `git commit -m 'Adding must have new tool!'`
4. Push the branch: `git push origin features/add-cool-new-tool`
5. Submit a pull request.
6. Create an [issue](https://github.com/joshuaskelly/wick/issues/new).

## License
MIT

See the [license](./LICENSE) document for the full text.
